Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKICertRepMessage

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.PKICertRepMessage`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  CertificationResponse, CrossCertResponse, InitializationResponse, KeyUpdateResponse

public abstract class PKICertRepMessage
extends PKIMessageBody

`PKIMessageBody` used for PKI certification responses.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`protected` | `PKICertRepMessage()` Create a new, empty `PKICertRepMessage` message body.
`protected` | `PKICertRepMessage(CertResponse cr)` Create a new `PKICertRepMessage` message body with the specified `CertResponse`.
`protected` | `PKICertRepMessage(java.io.InputStream is)`

Method Summary
`void` | `addCertificate(oracle.security.crypto.cert.X509 c)` Add a certificate to this response message body.
`void` | `addCertResponse(CertResponse cr)` Add a `CertResponse` to this response message body.
`java.util.Vector` | `getCertificates()` Get any CA certificates included in this message body.
`java.util.Vector` | `getCertResponses()` Get the certificate responses in this message body.
`void` | `input(java.io.InputStream is)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`getType, inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKICertRepMessage

    protected PKICertRepMessage()

  Create a new, empty `PKICertRepMessage` message body. Since such an object is not valid, this constructor is intended primarily for use with the `input(java.io.InputStream)` method.

### PKICertRepMessage

    protected PKICertRepMessage(CertResponse cr)

  Create a new `PKICertRepMessage` message body with the specified `CertResponse`.

### PKICertRepMessage

    protected PKICertRepMessage(java.io.InputStream is)
                         throws java.io.IOException

Method Detail

### addCertificate

    public void addCertificate(oracle.security.crypto.cert.X509 c)

  Add a certificate to this response message body. Intended for inclusion of CA public key certificates for use by the end-entity.

### addCertResponse

    public void addCertResponse(CertResponse cr)

  Add a `CertResponse` to this response message body.

### getCertificates

    public java.util.Vector getCertificates()

  Get any CA certificates included in this message body.
  Returns:
    a `Vector` containg the CA `X509` certificates if any, otherwise `null`.

### getCertResponses

    public java.util.Vector getCertResponses()

  Get the certificate responses in this message body.
  Returns:
    a `Vector` of `CertResponse` objects.

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.